{% extends 'base.html' %}

{% block header %}
<h1>{% block title %}Edit "{{ post['title'] }}"{% endblock %}</h1>
{% endblock %}
{% block styles %}
<link rel="stylesheet" href="{{ url_for('static', filename='css/tweet/box.css') }}">
{% endblock %}

{% block content %}
<div class="tweet-box">
    <h6>Edit this tweet</h6>
    <hr>
    <div class="inbox">
        <form method="post">
            <label for="content">Content</label>
            <textarea name="content" id="content">{{ request.form['content'] or post['content'] }}</textarea>
            <button class="btn-small" type="submit" name="action">Update
            </button>
        </form>
    </div>
    <hr>
    <form action="{{ url_for('tweet.delete', id=post['id']) }}" method="post">
        <button class="btn-small waves-light red" type="submit" name="action">Delete
        </button>
    </form>
</div>
{% endblock %}
